php5-5.5.14-97.1.x86_64.rpm


Advertisement

Description

php5 - PHP5 Core Files

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package name php5
Package version 5.5.14
Package release 97.1
Package architecture x86_64
Package type rpm
Installed size 9.86 MB
Download size 1.51 MB
Official Mirror widehat.opensuse.org
This package contains the PHP5 core files, including PHP binary (CLI)
and PHP configuration (php.ini). This package must be installed in
order to use PHP. Additionally, extension modules and server modules
(e.g. for Apache) may be installed.
Additional documentation is available in package php-doc.
Authors:
--------
The PHP Group
See http://www.php.net/credits.php for more details

Alternatives

Package Version Architecture Repository
php5-5.6.38-2.23.x86_64.rpm 5.6.38 x86_64 Apache Modules
php5-5.5.14-106.2.x86_64.rpm 5.5.14 x86_64 openSUSE Update Oss
php5-5.5.14-103.1.x86_64.rpm 5.5.14 x86_64 openSUSE Update Oss
php5-5.5.14-100.1.x86_64.rpm 5.5.14 x86_64 openSUSE Update Oss
php5-5.5.14-94.1.x86_64.rpm 5.5.14 x86_64 openSUSE Update Oss
php5-5.5.14-91.2.x86_64.rpm 5.5.14 x86_64 openSUSE Update Oss
php5-5.5.14-88.1.x86_64.rpm 5.5.14 x86_64 openSUSE Update Oss
php5-5.5.14-85.1.x86_64.rpm 5.5.14 x86_64 openSUSE Update Oss
php5-5.5.14-82.1.x86_64.rpm 5.5.14 x86_64 openSUSE Update Oss
php5-5.5.14-80.2.x86_64.rpm 5.5.14 x86_64 openSUSE Oss
php5 - - -

Requires

Name Value
libc.so.6(GLIBC_2.15)(64bit) -
libcrypt.so.1()(64bit) -
libcrypt.so.1(GLIBC_2.2.5)(64bit) -
libcrypto.so.1.0.0()(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpcre.so.1()(64bit) -
libresolv.so.2()(64bit) -
libresolv.so.2(GLIBC_2.2.5)(64bit) -
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -
libxml2.so.2(LIBXML2_2.5.2)(64bit) -
libxml2.so.2(LIBXML2_2.6.0)(64bit) -
libxml2.so.2(LIBXML2_2.6.11)(64bit) -
libxml2.so.2(LIBXML2_2.6.5)(64bit) -
libxml2.so.2(LIBXML2_2.9.0)(64bit) -
libz.so.1()(64bit) -
smtp_daemon -
timezone -

Provides

Name Value
config(php5) = 5.5.14-97.1
php -
php(api) = 20121113
php(zend-abi) = 20121212
php-api = 20121113
php-date -
php-filter -
php-hash -
php-pcre -
php-reflection -
php-session -
php-simplexml -
php-spl -
php-xml -
php-zend-abi = 20121212
php5 = 5.5.14-97.1
php5(x86-64) = 5.5.14-97.1
php5-hash = 5.5.14
zend -

Conflicts

Name Value
php53 -

Obsoletes

Name Value
php5-dbase -
php5-dbx -
php5-dio -
php5-fam -
php5-filepro -
php5-hash < 5.5.14
php5-mhash -
php5-ncurses -
php5-yp -

Download

Type URL
Binary Package php5-5.5.14-97.1.x86_64.rpm
Source Package php5-5.5.14-97.1.src.rpm

Install Howto

Install php5 rpm package:

# zypper install php5

Files

Path
/etc/php5/
/etc/php5/cli/php.ini
/etc/php5/conf.d/
/usr/bin/php
/usr/lib64/php5/
/usr/lib64/php5/extensions/
/usr/share/doc/packages/php5/CODING_STANDARDS
/usr/share/doc/packages/php5/CREDITS
/usr/share/doc/packages/php5/EXTENSIONS
/usr/share/doc/packages/php5/LICENSE
/usr/share/doc/packages/php5/NEWS
/usr/share/doc/packages/php5/README.CLI
/usr/share/doc/packages/php5/README.EXTENSIONS
/usr/share/doc/packages/php5/README.EXT_SKEL
/usr/share/doc/packages/php5/README.FastCGI
/usr/share/doc/packages/php5/README.GIT-RULES
/usr/share/doc/packages/php5/README.MAILINGLIST_RULES
/usr/share/doc/packages/php5/README.NEW-OUTPUT-API
/usr/share/doc/packages/php5/README.PARAMETER_PARSING_API
/usr/share/doc/packages/php5/README.PHP4-TO-PHP5-THIN-CHANGES
/usr/share/doc/packages/php5/README.REDIST.BINS
/usr/share/doc/packages/php5/README.RELEASE_PROCESS
/usr/share/doc/packages/php5/README.SELF-CONTAINED-EXTENSIONS
/usr/share/doc/packages/php5/README.STREAMS
/usr/share/doc/packages/php5/README.SUBMITTING_PATCH
/usr/share/doc/packages/php5/README.SUSE
/usr/share/doc/packages/php5/README.TESTING
/usr/share/doc/packages/php5/README.TESTING2
/usr/share/doc/packages/php5/README.UNIX-BUILD-SYSTEM
/usr/share/doc/packages/php5/README.WIN32-BUILD-SYSTEM
/usr/share/doc/packages/php5/README.default_socket_timeout
/usr/share/doc/packages/php5/README.input_filter
/usr/share/doc/packages/php5/README.macros
/usr/share/doc/packages/php5/README.md
/usr/share/doc/packages/php5/README.namespaces
/usr/share/doc/packages/php5/UPGRADING
/usr/share/doc/packages/php5/test.php5
/usr/share/man/man1/phar.1.gz
/usr/share/man/man1/phar.phar.1.gz
/usr/share/man/man1/php-cgi.1.gz
/usr/share/man/man1/php-config.1.gz
/usr/share/man/man1/php.1.gz
/usr/share/man/man1/phpize.1.gz
/usr/share/php5/
/var/lib/php5/

Changelog

2018-03-02 - pgajdos@suse.com
- security update:
* CVE-2018-7584 [bsc#1083639]
+ php-CVE-2018-7584.patch
2018-02-09 - pgajdos@suse.com
- security update:
* CVE-2016-10712 [bsc#1080234]
+ php-CVE-2016-10712.patch
2018-01-22 - pgajdos@suse.com
- security update:
* CVE-2018-5712 [bsc#1076220]
+ php-CVE-2018-5712.patch
* CVE-2018-5711 [bsc#1076391]
+ php-CVE-2018-5711.patch
2017-11-27 - pgajdos@suse.com
- security update:
* CVE-2017-9228 [bsc#1069606]
+ php-CVE-2017-9228.patch
* CVE-2017-9229 [bsc#1069631]
+ php-CVE-2017-9229.patch
2017-11-20 - pgajdos@suse.com
- security update:
* CVE-2017-16642 [bsc#1067441]
+ php-CVE-2017-16642.patch
* CVE-2017-4025 [bsc#1067090]
+ php-CVE-2017-4025.patch
2017-09-04 - pgajdos@suse.com
- security update:
* CVE-2017-12933 [bsc#1054430]
+ php-CVE-2017-12933.patch
2017-08-08 - pgajdos@suse.com
- security update:
* CVE-2017-11628 [bsc#1050726]
+ php-CVE-2017-11628.patch
* CVE-2017-7890 [bsc#1050241]
+ php-CVE-2017-7890.patch
* complete fix for CVE-2016-5766 [bsc#986386c#23]
. amended php-CVE-2016-5766.patch
. refreshed php-CVE-2016-10168.patch
2017-07-18 - pgajdos@suse.com
- security update:
* CVE-2017-11143 [bsc#1048097]
+ php-CVE-2017-11143.patch
* CVE-2017-11145 [bsc#1048112]
+ php-CVE-2017-11145.patch
* CVE-2017-11146 [bsc#1048111]
+ php-CVE-2017-11146.patch
* CVE-2016-10397 [bsc#1047454]
+ php-CVE-2016-10397.patch
* CVE-2017-11147 [bsc#1048094]
+ php-CVE-2017-11147.patch
* CVE-2017-11144 [bsc#1048096]
+ php-CVE-2017-11144.patch
2017-06-20 - pgajdos@suse.com
- fix for CVE-2017-7272 was reverted [bsc#1044976]
2017-05-29 - pgajdos@suse.com
- security update:
* CVE-2017-9227 [bsc#1040883]
+ php-CVE-2017-9227.patch
* CVE-2017-9226 [bsc#1040889]
+ php-CVE-2017-9226.patch
* CVE-2017-9224 [bsc#1040891]
+ php-CVE-2017-9224.patch

See Also

Package Description
php5-bcmath-5.5.14-100.1.x86_64.rpm PHP5 Extension Module
php5-bcmath-5.5.14-103.1.x86_64.rpm PHP5 Extension Module
php5-bcmath-5.5.14-106.2.x86_64.rpm PHP5 Extension Module
php5-bcmath-5.5.14-82.1.x86_64.rpm PHP5 Extension Module
php5-bcmath-5.5.14-85.1.x86_64.rpm PHP5 Extension Module
php5-bcmath-5.5.14-88.1.x86_64.rpm PHP5 Extension Module
php5-bcmath-5.5.14-91.2.x86_64.rpm PHP5 Extension Module
php5-bcmath-5.5.14-94.1.x86_64.rpm PHP5 Extension Module
php5-bcmath-5.5.14-97.1.x86_64.rpm PHP5 Extension Module
php5-bz2-5.5.14-100.1.x86_64.rpm PHP5 Extension Module
php5-bz2-5.5.14-103.1.x86_64.rpm PHP5 Extension Module
php5-bz2-5.5.14-106.2.x86_64.rpm PHP5 Extension Module
php5-bz2-5.5.14-82.1.x86_64.rpm PHP5 Extension Module
php5-bz2-5.5.14-85.1.x86_64.rpm PHP5 Extension Module
php5-bz2-5.5.14-88.1.x86_64.rpm PHP5 Extension Module
Advertisement
Advertisement